---
title: DPR
slug: Web/HTTP/Headers/DPR
tags:
  - Client hints
  - HTTP
  - HTTP Header
  - Obsolete
  - Non-standard
---
<div>{{Obsolete_header}}{{Non-standard_header}}</div>

<div>{{HTTPSidebar}}{{securecontext_header}}{{SeeCompatTable}}</div>

<p>The <strong><code>DPR</code></strong> header is a <a href="/en-US/docs/Glossary/Client_hints">Client Hints</a> header which represents the client device pixel ratio ({{Glossary("DPR")}}), which is the number of physical device pixels corresponding to every CSS pixel.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>?</td>
  </tr>
 </tbody>
</table>

<div class="notecard note">
<p><strong>Note:</strong> Client Hints are accessible only on secure origins (via TLS). Server has to opt in to receive <code>DPR</code> header from the client by sending {{HTTPHeader("Accept-CH")}} and {{HTTPHeader("Accept-CH-Lifetime")}} response headers.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">DPR: &lt;number&gt;
</pre>

<h2 id="Examples">Examples</h2>

<p>Server first needs to opt in to receive <code>DPR</code> header by sending the response headers {{HTTPHeader("Accept-CH")}} containing <code>DPR</code> and {{HTTPHeader("Accept-CH-Lifetime")}}.</p>

<pre class="notranslate">Accept-CH: DPR
Accept-CH-Lifetime: 86400
</pre>

<p>Then on subsequent requests the client might send <code>DPR</code> header back:</p>

<pre class="notranslate">DPR: 1.0
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.DPR")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Accept-CH")}}</li>
 <li>{{HTTPHeader("Accept-CH-Lifetime")}}</li>
 <li>{{HTTPHeader("Vary")}}</li>
</ul>
